## arduino-mk 0.10

=== examples/Blink/Makefile ===
BOARD_TAG    = uno
ARDUINO_PORT = /dev/cu.usb*
ARDUINO_LIBS = 

include ../../arduino-mk/Arduino.mk

=== examples/WebServer/Makefile ===
BOARD_TAG    = uno
ARDUINO_PORT = /dev/cu.usb*
ARDUINO_LIBS = Ethernet Ethernet/utility SPI

include ../../arduino-mk/Arduino.mk

## arduino-mk 0.8

=== debian/changelog ===
arduino-mk (0.8-5) unstable; urgency=low

  * Fixed typo to allow user libraries to be found by make (Closes: #699717)

 -- Scott Howard <showard@debian.org>  Sun, 10 Mar 2013 16:20:53 -0400

arduino-mk (0.8-4) unstable; urgency=low

  * Added dependency on perl-doc. (Closes: #675393)
  * debian/patches/user-libraries.diff
    - Added support for non-system libraries residing in the 
      ARDUNIO_SKETCHBOOK variable, by default it is set to `$HOME/sketchbook`.
      (Closes: #670566)

 -- Scott Howard <showard@debian.org>  Sun, 03 Jun 2012 13:05:25 -0400

arduino-mk (0.8-3) unstable; urgency=low

  * Move ard-parse-boards to /usr/bin (Closes: #674482)

 -- Scott Howard <showard@debian.org>  Wed, 30 May 2012 14:09:08 -0400

arduino-mk (0.8-2) unstable; urgency=low

  * debian/control: s/playform/platform/
  * debian/patches/ard-parse-boards_pathfix.path
    - Corrected paths for ard-parse-boards (Closes: #670564)
  * debian/patches/mjo_makefile_debianise
    - updated Arduino.mk to find /usr/share/arduino/ard-parse-boards

 -- Scott Howard <showard@debian.org>  Fri, 27 Apr 2012 12:22:40 -0400

arduino-mk (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #660957)

 -- Scott Howard <showard@debian.org>  Sat, 25 Feb 2012 10:11:14 -0500

=== debian/control ===
Source: arduino-mk
Section: electronics
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.3
Homepage: http://mjo.tc/atelier/2009/02/arduino-cli.html
Vcs-Git: git://git.debian.org/debian-science/packages/arduino-mk.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/arduino-mk.git

Package: arduino-mk
Architecture: all
Depends: arduino-core (>= 1:1.0+dfsg-8), libconfig-yaml-perl, ${misc:Depends},
 perl-doc
Breaks: arduino-core (<< 1:1.0+dfsg-8)
Replaces: arduino-core (<< 1:1.0+dfsg-8)
Description: Program your Arduino from the command line
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install a Makefile to allow for CLI programming of the
 Arduino platform.

=== debian/watch ===
version=3

http://mjo.tc/atelier/2009/02/acli/arduino-mk_([\d\.]+)\.tar\.gz

## arduino-mk 0.10

=== debian/changelog ===
arduino-mk (0.10-1) experimental; urgency=low

  * New upstream release
    - OBJDIR is now overwritable (Closes: #685628)
  * perl-doc moved from Depends to Recommends (Closes: #689666)
  * Upstream fixed typo in bug 670566 (Closes: #670566)
  * Refreshed patches

 -- Scott Howard <showard@debian.org>  Fri, 09 Nov 2012 10:57:07 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 8), help2man, perl-doc, libconfig-yaml-perl,
+ libdevice-serialport-perl
 Standards-Version: 3.9.3
 Homepage: http://mjo.tc/atelier/2009/02/arduino-cli.html
 Vcs-Git: git://git.debian.org/debian-science/packages/arduino-mk.git
@@ -13,7 +14,8 @@
 Package: arduino-mk
 Architecture: all
 Depends: arduino-core (>= 1:1.0+dfsg-8), libconfig-yaml-perl, ${misc:Depends},
- perl-doc
+ libdevice-serialport-perl
+Recommends: perl-doc
 Breaks: arduino-core (<< 1:1.0+dfsg-8)
 Replaces: arduino-core (<< 1:1.0+dfsg-8)
 Description: Program your Arduino from the command line

## arduino-mk 0.12.0

=== examples/ATtinyBlink/Makefile ===
# Arduino Make file. Refer to https://github.com/sudar/Arduino-Makefile

BOARD_TAG    = attiny85-8
ARDUINO_VAR_PATH = /home/sudar/Dropbox/code/arduino-sketches/hardware/attiny/variants
BOARDS_TXT = /home/sudar/Dropbox/code/arduino-sketches/hardware/attiny/boards.txt
ISP_PORT = /dev/ttyACM*

include $(ARDMK_DIR)/arduino-mk/Arduino.mk

# !!! Important. You have to use make ispload to upload when using ISP programmer

=== examples/BlinkInAVRC/Makefile ===
# This sample Makefile, explains how you can compile plain AVR C file.
#
# Arduino Make file. Refer to https://github.com/sudar/Arduino-Makefile

NO_CORE = Yes

BOARD_TAG    = atmega16
MCU = atmega16
F_CPU = 8000000L

ISP_PROG   = stk500v1
AVRDUDE_ISP_BAUDRATE = 19200
ISP_PORT = /dev/ttyACM*

include $(ARDMK_DIR)/arduino-mk/Arduino.mk

# !!! Important. You have to use make ispload to upload when using ISP programmer

=== examples/HelloWorld/Makefile ===
BOARD_TAG    = uno
ARDUINO_PORT = /dev/cu.usb*
ARDUINO_LIBS = LiquidCrystal

include ../../arduino-mk/Arduino.mk

=== examples/master_reader/Makefile ===
BOARD_TAG    = uno
ARDUINO_PORT = /dev/cu.usb*
ARDUINO_LIBS = Wire Wire/utility

include ../../arduino-mk/Arduino.mk

=== examples/toneMelody/Makefile ===
BOARD_TAG    = uno
ARDUINO_PORT = /dev/cu.usb*
ARDUINO_LIBS = 

include ../../arduino-mk/Arduino.mk

=== debian/changelog ===
arduino-mk (0.12.0-1) unstable; urgency=low

  [Scott Howard]
  * New upstream release.
    - Dropped ard-parse-boards_pathfix.patch applied upstream
    - Dropped line_count.patch, different upstream implimentation 
      (Closes: #718454, #718892)

  [Bas Wijnen]
  * Add default variables for Debian systems.  (Closes: #709115)

 -- Scott Howard <showard@debian.org>  Thu, 08 Aug 2013 09:22:07 -0400

arduino-mk (0.10-2) unstable; urgency=low

  * Merge from experimental to unstable
  * Correct line numbers reported by gcc off by one and identify libraries
    similar to the IDE (Closes: #702754)

 -- Scott Howard <showard@debian.org>  Sun, 05 May 2013 19:18:42 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), help2man, perl-doc, libconfig-yaml-perl,
+Build-Depends: debhelper (>= 9), help2man, perl-doc, libconfig-yaml-perl,
  libdevice-serialport-perl
-Standards-Version: 3.9.3
-Homepage: http://mjo.tc/atelier/2009/02/arduino-cli.html
+Standards-Version: 3.9.4
+Homepage: https://github.com/sudar/Arduino-Makefile
 Vcs-Git: git://git.debian.org/debian-science/packages/arduino-mk.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/arduino-mk.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	help2man bin/ard-parse-boards -n "Read data from the Arduino boards.txt file" --version-string=$(VERSION) -s 1 -m "Arduino Board Parser" -N -o ard-parse-boards.1
	help2man bin/ard-reset-arduino -n "Reset Arduino board" -s 1 -m "Arduino CLI Reset" --version-string=$(VERSION) -N -o ard-reset-arduino.1

get-orig-source:
	uscan --download-current-version --rename

## arduino-mk 1.3.1

=== examples/ATtinyBlink/Makefile ===
# Arduino Make file. Refer to https://github.com/sudar/Arduino-Makefile

# if you have placed the alternate core in your sketchbook directory, then you can just mention the core name alone. 
ALTERNATE_CORE = attiny
# If not, you might have to include the full path.
#ALTERNATE_CORE_PATH = /home/sudar/Dropbox/code/arduino-sketches/hardware/attiny/

BOARD_TAG    = attiny85-8
ISP_PORT = /dev/ttyACM*

include $(ARDMK_DIR)/Arduino.mk

# !!! Important. You have to use make ispload to upload when using ISP programmer

=== examples/Blink/Makefile ===
BOARD_TAG    = uno
ARDUINO_LIBS =

include ../../Arduino.mk

=== examples/BlinkInAVRC/Makefile ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 ISP_PROG   = stk500v1
 AVRDUDE_ISP_BAUDRATE = 19200
-ISP_PORT = /dev/ttyACM*
 
-include $(ARDMK_DIR)/arduino-mk/Arduino.mk
+include $(ARDMK_DIR)/Arduino.mk
 
 # !!! Important. You have to use make ispload to upload when using ISP programmer

=== examples/TinySoftWareSerial/Makefile ===
# Arduino Make file. Refer to https://github.com/sudar/Arduino-Makefile

# if you have placed the alternate core in your sketchbook directory, then you can just mention the core name alone.
ALTERNATE_CORE = attiny
# If not, you might have to include the full path.
#ALTERNATE_CORE_PATH = /home/sudar/Dropbox/code/arduino-sketches/hardware/attiny/

BOARD_TAG    = attiny85-8

ARDUINO_LIBS = SoftwareSerial

include $(ARDMK_DIR)/Arduino.mk

# !!! Important. You have to use make ispload to upload when using ISP programmer

=== debian/changelog ===
arduino-mk (1.3.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes BUNDLED_AVR_TOOLS_DIR not being set correctly when using 
      the arduino-core package instead of the whole arduino IDE.
    - Added "make help_vars" to display information abou the variables
      that can be overridden (so updated arduino-mk.install)

 -- Simon John <git@the-jedi.co.uk>  Tue, 04 Feb 2014 16:24:00 +0000

arduino-mk (1.3.0-1) unstable; urgency=medium

  * New upstream release
    - Windows fixes

 -- Simon John <git@the-jedi.co.uk>  Wed, 29 Jan 2014 09:20:08 +0000

arduino-mk (1.2.0-1) unstable; urgency=medium

  * New upstream release
    - Fixes ARDUINO_DIR not defined error (Closes: #734875)

 -- Simon John <git@the-jedi.co.uk>  Tue, 14 Jan 2014 15:15:00 +0000

arduino-mk (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Removed some legacy dpkg files, updated copyrights/sources
  * Added examples

 -- Simon John <git@the-jedi.co.uk>  Fri, 27 Dec 2013 01:08:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: electronics
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 9), help2man, perl-doc, libconfig-yaml-perl,
+Uploaders: Scott Howard <showard@debian.org>, Simon John <git@the-jedi.co.uk>
+Build-Depends: debhelper (>= 8), help2man, perl-doc, libconfig-yaml-perl,
  libdevice-serialport-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/sudar/Arduino-Makefile
 Vcs-Git: git://git.debian.org/debian-science/packages/arduino-mk.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/arduino-mk.git
@@ -13,7 +13,7 @@
 Package: arduino-mk
 Architecture: all
 Depends: arduino-core (>= 1:1.0+dfsg-8), libconfig-yaml-perl, ${misc:Depends},
- libdevice-serialport-perl
+ libdevice-serialport-perl, ${perl:Depends}
 Recommends: perl-doc
 Breaks: arduino-core (<< 1:1.0+dfsg-8)
 Replaces: arduino-core (<< 1:1.0+dfsg-8)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	help2man bin/ard-parse-boards -n "Read data from the Arduino boards.txt file" --version-string=$(VERSION) -s 1 -m "Arduino Board Parser" -N -o ard-parse-boards.1
 	help2man bin/ard-reset-arduino -n "Reset Arduino board" -s 1 -m "Arduino CLI Reset" --version-string=$(VERSION) -N -o ard-reset-arduino.1
 
 get-orig-source:

=== debian/watch ===
version=3

https://github.com/sudar/Arduino-Makefile/tags .*/(\d[\d\.]*)\.tar\.gz

## arduino-mk 1.3.4

=== debian/changelog ===
arduino-mk (1.3.4-1) unstable; urgency=medium

  [Scott Howard]
  * Updated debian/control Vcs entries

  [Simon John]
  * New upstream release
    - Fixes lintian hyphen/minus issue.
    - Added support for compiling assembler code.
    - Allows spaces in Serial.begin() calls.
    - Lists board name as well as tag in show_boards.
    - Fixes missing newlines/targets in 'make help'.
    - Added emacs flyback compatibility.
    - Fixes $MONITOR_PORT detection.
    - Tidied up some regexes/quotes/wildcards.
    - Builds core objects in a subdirectory

 -- Simon John <git@the-jedi.co.uk>  Sat, 12 Jul 2014 18:55:27 +0200

arduino-mk (1.3.3-1) unstable; urgency=medium

  * Put manpage back

 -- Simon John <git@the-jedi.co.uk>  Sat, 12 Apr 2014 17:41:00 +0200

arduino-mk (1.3.2-1) unstable; urgency=medium

  * New upstream release 
    - Fixes missing avr-libc/malloc.c and realloc.c includes.
    - Added gpio to the list of isp's that don't have a port and improved
      detection of those that do.
    - Added -D__PROG_TYPES_COMPAT__ to the avr-g++ compiler flags.
    - Added new example and beatified documentation.
    - Added OBJDIR setting and pre-build hook functionality.
    - Fixes AVR tools path for chipKIT on Linux.
    - Replaced Perl reset script with Python one, works better with 
      Caterinas and simplifies packaging. Tested with Python3.
    - Fixed avrdude.conf detection on Windows.
    
 -- Simon John <git@the-jedi.co.uk>  Fri, 11 Apr 2014 16:16:00 +0000

=== debian/control ===
Source: arduino-mk
Section: electronics
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Simon John <git@the-jedi.co.uk>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5
Homepage: https://github.com/sudar/Arduino-Makefile
Vcs-Git: git://anonscm.debian.org/debian-science/packages/arduino-mk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/arduino-mk.git

Package: arduino-mk
Architecture: all
Depends: arduino-core (>= 1:1.0+dfsg-8), python, python-serial, ${misc:Depends}
Breaks: arduino-core (<< 1:1.0+dfsg-8)
Replaces: arduino-core (<< 1:1.0+dfsg-8)
Description: Program your Arduino from the command line
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install a Makefile to allow for CLI programming of the
 Arduino platform.

## arduino-mk 1.5

=== examples/master_reader/Makefile ===
# Arduino Make file. Refer to https://github.com/sudar/Arduino-Makefile

BOARD_TAG    = uno
ARDUINO_LIBS = Wire

include ../../Arduino.mk

=== debian/changelog ===
arduino-mk (1.5-2) unstable; urgency=medium

  [ Simon John ]
  * Better boards.txt parsing
  * Fixed Lintian copyright warnings
  * Added make as a dependency

  [ Scott Howard ]
  * Add "screen" to recommends (Closes: #781625)

 -- Simon John <git@the-jedi.co.uk>  Tue, 28 Apr 2015 22:48:00 +0100

arduino-mk (1.5-1) unstable; urgency=medium

  * New upstream release
    - Added support for IDE 1.5/1.6 for AVR (not SAM).
    - Added support for Teensy3.
    - Fixes ATmega 32u4 reset issues.
    - Various other bug fixes.

 -- Simon John <git@the-jedi.co.uk>  Tue, 07 Apr 2015 17:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Simon John <git@the-jedi.co.uk>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/sudar/Arduino-Makefile
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/arduino-mk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/arduino-mk.git
 
 Package: arduino-mk
 Architecture: all
-Depends: arduino-core (>= 1:1.0+dfsg-8), python, python-serial, ${misc:Depends}
+Depends: arduino-core (>= 1:1.0+dfsg-8), python, python-serial, make, ${misc:Depends}
+Recommends: screen
 Breaks: arduino-core (<< 1:1.0+dfsg-8)
 Replaces: arduino-core (<< 1:1.0+dfsg-8)
 Description: Program your Arduino from the command line

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,5 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	dh_auto_build
-	help2man bin/ard-reset-arduino -n "Reset Arduino board" -s 1 -m "Arduino CLI Reset" --version-string=$(VERSION) -N -o ard-reset-arduino.1
-
 get-orig-source:
 	uscan --download-current-version --rename

## arduino-mk 1.5.2

=== debian/changelog ===
arduino-mk (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * Use Python 3 rather than Python 2 in scripts (Closes: #936149).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Fix Vcs-* fields to point to salsa.
  * Update to debhelper-compat (= 12).
  * Add Rules-Requires-Root: no.
  * Use dpkg/pkg-info.mk for build-time package version information.

 -- Stuart Prescott <stuart@debian.org>  Mon, 03 Feb 2020 08:04:48 +1100

arduino-mk (1.5.2-1) unstable; urgency=medium

  * New release

 -- Scott Howard <showard@debian.org>  Wed, 11 Jan 2017 15:46:04 -0500

arduino-mk (1.5.1-1) unstable; urgency=medium

  [ Simon John ]
  * New upstream release
    - Fixed Teensy boards.txt (Closes: #802580)
  * Bumped debian/compat to 9 and DSV to 3.9.8 (no changes)

  [ Scott Howard ]
  * debian/control: depend on debhelper >=9; use https for vcs-git
    and vcs-browser

 -- Simon John <git@the-jedi.co.uk>  Sun, 13 Nov 2016 10:14:29 +0000

=== debian/control ===
Source: arduino-mk
Section: electronics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Scott Howard <showard@debian.org>,
 Simon John <git@the-jedi.co.uk>
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://github.com/sudar/Arduino-Makefile
Vcs-Git: https://salsa.debian.org/science-team/arduino-mk.git
Vcs-Browser: https://salsa.debian.org/science-team/arduino-mk/
Rules-Requires-Root: no

Package: arduino-mk
Architecture: all
Depends:
 arduino-core (>= 1:1.0+dfsg-8),
 make,
 python3,
 python3-serial,
 ${misc:Depends}
Recommends:
 screen,
Breaks:
 arduino-core (<< 1:1.0+dfsg-8)
Replaces:
 arduino-core (<< 1:1.0+dfsg-8)
Description: Program your Arduino from the command line
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install a Makefile to allow for CLI programming of the
 Arduino platform.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	uscan --download-current-version --rename
